#ifdef _MAIN_

#define TDC_Regs_Len    0x20  /* Length in bytes of TDC reg bank */
#define TDC_Regs_Base   0xfd20  /* Base address of TDC_REGS - as in EXEC.LIN */

#define INTERPREGS_SIZE 0x10    /* Size of temporary user stack */
#define INTERPREGS_USER_STACK_BASE (TDC_Regs_Base+INTERPREGS_SIZE+TDC_Regs_Len)

#define Enable_Mode       0x0005  
#define Disable_Mode      0xfffa
#define No_Of_Cylinders   12

#define CCx_ptr ((unsigned int volatile sdata *) &CC0) /* Allow array access to */
                                                       /* CCx compare registers */


#define Speed_Div_Const 525000
unsigned int idata INTERPREGS[INTERPREGS_SIZE] ;

unsigned int idata inj_delay_angle = 0 ;
unsigned int master_inj_PW = 01000 ;
unsigned int slave_inj_PW = 01000 ;

unsigned int timeout_tooth[12] ;
unsigned int timeout_angle[12] ;
unsigned int analog_channels_DP[10] ;

unsigned int engine_speed = 0 ;

/*** Port 2 Clear Individual Port Bits Patterns ***/

const int clear_port2_bits[] = { 0xfffe,0xfffd,0xfffb,0xfff7,
                                 0xffef,0xffdf,0xffbf,0xff7f,
                                 0xfeff,0xfdff,0xfbff,0xf7ff,
                                 0xefff,0xdfff,0xbfff,0x7fff } ;

/*** System Constants ***/

#define Max_Timeout_Angle  60   /* Degrees */
#define Fix_Time            4   /* Timer counts added to delay time to allow */
                                /* timeout_angle[] to be multiple of reference */



#else


extern unsigned int sdata inj_delay_angle ;
extern unsigned int master_inj_PW ;
extern unsigned int slave_inj_PW ;

extern unsigned int timeout_tooth[12] ;
extern unsigned int timeout_angle[12] ;
extern unsigned int analog_channels_DP[10] ;

extern unsigned int engine_speed ;

#endif


